package com.ruoyi.mybasic.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 身份证信息
 * @author Lou_Zs
 */
@Data
public class Card {

    /**
     * 用户编号
     */
    private Integer userId;

    /**
     * 身份证正面
     */
    private String cardFace;
    /**
     * 身份证反面
     */
    private String cardBack;

    /**
     * 身份证号
     */
    private String num;
    /**
     * 姓名
     */
    private String name;
    /**
     * 所属地
     */
    private String address;
    /**
     * 性别
     */
    private String sex;
    /**
     * 生日日期
     */
    private String birth;
    /**
     * 籍贯
     */
    private String nationality;
    /**
     * 有效期开始时间
     */
    private String startDate;
    /**
     * 有效期结束时间
     */
    private String endDate;
    /**
     * 签发机关
     */
    private String issue;
    /**
     * 绑定时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}
