package com.ruoyi.mybasic.common.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 提现记录表
 * @author WenHao.Sao
 */
@Data
public class MoneyWithdraw {

    /**
     * 提现记录主建
     */
    private long id;
    /**
     * 提现用户编号
     */
    private Long userId;
    /**
     * 银行卡编号-用于支付宝字段
     */
    private String bankId;
    /**
     * 操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    /**
     * 提现状态0:处理中 1:已提现
     */
    private int statue;
    /**
     * 提现金额
     */
    private String amount;


}
