package com.ruoyi.mybasic.common.domain.request;

import lombok.Data;

/**
 * @ClassName PurseRequest
 * @Description 用于钱包的请求参数
 * @Author WenHao.Sao
 */
@Data
public class PurseRequest {

    private String userId;//用户编号

    private int typePurse;//类型

    /**
     * 新增添 前台传来的输入金额
     */
    private double amount;//获取前台输入的金额

    private int id;//银行卡id

    private int status;//状态 1：支出 2 收入

    private String orderId;//支付宝订单Id

    private double amountIncome;//收入支出金额

}
