package com.ruoyi.mybasic.common.domain.response;

import lombok.Data;

/**
 * 身份证返回值
 * @author Lou_Zs
 */
@Data
public class ResponseCard {

    //<--正面-->
    /**
     * 地址详情
     */
    private String address;
    /**
     * 姓名
     */
    private String name;
    /**
     * 民族
     */
    private String nationality;
    /**
     * 身份证号
     */
    private String num;
    /**
     * 性别
     */
    private String sex;
    /**
     * 生日
     */
    private String birth;
    //<--正面-->

    //<--反面-->
    /**
     * 起始有效期
     */
    private String startDate;
    /**
     * 结束有效期
     */
    private String endDate;
    /**
     * 签发机关
     */
    private String issue;
    //<--反面-->

}
