package com.ruoyi.mybasic.controller;
import com.ruoyi.mybasic.service.MessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;


/**
 * 银行卡上传
 * @author swh
 */
@RequestMapping("/message")
@RestController
public class MessageController {

    @Autowired
    private MessageService messageService;

    /**
     * 银行卡api
     */
    @PostMapping("/upload")
    public void upload(@RequestParam("file") MultipartFile file) throws Exception {
        messageService.upload(file);
    }


    /**
     * 识别银行卡信息
     * @param
     * @return
     * @throws IOException
     */

//    public static ResponseCard getBank(String images) throws IOException {
//        String host = "https://dfbankcard.market.alicloudapi.com";
//        String path = "/ocr/bankcard";
//        String method = "POST";
//        String appcode = "ded4e72aaf8f48499dcd2ef13f8eaae9";
//        Map<String, String> headers = new HashMap<String, String>();
//        //最后在header中的格式(中间是英文空格)为Authorization:APPCODE 83359fd73fe94948385f570e3c139105
//        headers.put("Authorization", "APPCODE " + appcode);
//        //根据API的要求，定义相对应的Content-Type
//        headers.put("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
//        Map<String, String> querys = new HashMap<String, String>();
//        Map<String, String> bodys = new HashMap<String, String>();
//        bodys.put("image_url", images);
//        ResponseCard responseCard = new ResponseCard();
//        try {
//            /**
//             * 重要提示如下:
//             * HttpUtils请从
//             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/src/main/java/com/aliyun/api/gateway/demo/util/HttpUtils.java
//             * 下载
//             *
//             * 相应的依赖请参照
//             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/pom.xml
//             */
//            HttpResponse response = HttpUtils.doPost(host, path, method, headers, querys, bodys);
//            //使用这个才能获取信息
//            JSONObject jsonObject = JSONObject.parseObject(EntityUtils.toString(response.getEntity()));
//            System.out.println("jsonObject数据为："+jsonObject);
//            responseCard.setRequestId(jsonObject.getString("request_id"));
//            responseCard.setStatus(jsonObject.getString("status"));
//            BankCard result = JSONObject.parseObject(jsonObject.getString("result"), BankCard.class);
//            responseCard.setBankCard(result);
//            System.out.println("responseCard数据为："+responseCard);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return responseCard;
//    }

//    @Override
//    public Boolean bindUserBank(MultipartFile bankImage) throws IOException {
//        Long userId = SecurityUtils.getUserId();
//        byte[] bytes = bankImage.getBytes();
//        String bank = Base64.getEncoder().encodeToString(bytes);
//        Map map = forestClientInterface.helloForestBank(bank);
//        System.out.println(map);
//        Map resultMap = (Map) map.get("result");
//        String cardNumber = (String) resultMap.get("card_number");
//        String bankName = (String) resultMap.get("bank_name");
//        String bankIdentificationNumber = (String) resultMap.get("bank_identification_number");
//        String cardName = (String) resultMap.get("card_name");
//        String cardType = (String) resultMap.get("card_type");
//        BankCard bankCard = new BankCard();
//        bankCard.setUserId(userId);
//        bankCard.setBankNumber(cardNumber);
//        bankCard.setBankName(bankName);
//        bankCard.setBankType(cardType);
//        bankCard.setCardName(cardName);
//        System.out.println(bankCard);
//        return sysBankCardMapper.insertBankCard(bankCard)>0;
//        @Post(value = "https://dfbankcard.market.alicloudapi.com/ocr/bankcard",
//                headers = {"Authorization:APPCODE b491bc5d56bb4fa59171e19aaab030bb","Content-Type:application/x-www-form-urlencoded; charset=UTF-8"})
//        Map helloForestBank(@DataParam("image") String image);
//    }

}
