package com.ruoyi.mybasic.mapper;

import com.ruoyi.mybasic.common.domain.Card;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 上传身份证mapper层
 */
@Mapper
public interface CardMapper {
    /**
     * 根据用户id查询身份证信息
     * @param userId
     * @return
     */
    Card findUserCard(@Param("userId") Long userId);

    /**
     * 添加身份证信息
     * @param addCard
     * @return
     */
    int insertUserCard(Card addCard);
}
