package com.ruoyi.mybasic.mapper;


import com.ruoyi.mybasic.common.domain.request.ConsultationRequest;
import com.ruoyi.mybasic.common.domain.request.DoctorGiftRecordRequest;
import com.ruoyi.mybasic.common.domain.request.InterrogationRequest;
import com.ruoyi.mybasic.common.domain.response.ConsultationResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName FavorableRateMapper
 * @Description 描述
 * @Author WenHao.Sao
 */
@Mapper
public interface FavorableRateMapper {

    Integer statusCount(ConsultationResponse consultation);

    List<ConsultationRequest> consultationList(String userId);

    List<InterrogationRequest> interrogationStatus(InterrogationRequest interrogation);

    List<InterrogationRequest> evaluateCount(InterrogationRequest status);

    List<DoctorGiftRecordRequest> giftList(@Param("userId") String userId);
}
