package com.ruoyi.mybasic.service.Impl;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.exception.ServiceException;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.mybasic.common.domain.BankConfig;
import com.ruoyi.mybasic.mapper.MessageMapper;
import com.ruoyi.mybasic.service.MessageService;
import com.ruoyi.mybasic.util.BankScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 银行卡实现层
 * @author swh
 */
@Service
public class MessageServiceImpl implements MessageService {


    /** @noinspection SpringJavaInjectionPointsAutowiringInspection*/
    @Autowired
    private MessageMapper messageMapper;

    @Autowired
    private BankScan bankScan;


    /**
     * 银行卡扫描
     * @param file
     */
    @Override
    public void upload(MultipartFile file) {
        bankScan.BankScan(file);
    }
}
