package com.ruoyi.mybasic.service;

import com.ruoyi.mybasic.api.domain.UserMoneyLogs;
import com.ruoyi.mybasic.common.domain.request.RequestInvitationRecord;

/**
 * @ClassName InvitationService
 * @Description 描述
 * @Author WenHao.Sao
 */

/**
 * 交易持久层
 * @author Lou_Zs
 */
public interface InvitationService {

    /**
     * 新用户注册邀请获利
     *
     * @param requestInvitationRecord
     */
    void UserInviteTask(RequestInvitationRecord requestInvitationRecord);


    /**
     * 根据记录处理金额
     * @param userMoneyLogs
     */
    void updatePurseByLogs(UserMoneyLogs userMoneyLogs);
}
