package com.ruoyi.mybasic.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.mybasic.api.domain.Purse;
import com.ruoyi.mybasic.api.domain.UserMoneyLogs;
import com.ruoyi.mybasic.common.domain.MoneyLog;
import com.ruoyi.mybasic.common.domain.MoneyWithdraw;
import com.ruoyi.mybasic.common.domain.RechargeLog;
import com.ruoyi.mybasic.common.domain.ailPay.AliPay;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.response.PurseResponse;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 钱包持久层-->新
 */
public interface PurseServiceTwo {
    Purse purseObject();

    void addPurse(Long userId);

    void purseBalanceChange(UserMoneyLogs userMoneyLogs);


    void insertRechargeLog(RechargeLog rechargeLog);

    void insertWithdrawalLog(MoneyWithdraw moneyWithdraw);

    void PayBank(AliPay aliPay, HttpServletResponse httpResponse) throws Exception;
}
