package com.ruoyi.mybasic.Text;

/**
 * @ClassName SpinLockDemo
 * @Description 描述
 * @Author WenHao.Sao
 */


import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;


/**
 * 自旋锁
 */
public class SpinLockDemo {

    AtomicReference<Thread> atomicReference = new AtomicReference<>();
    public void lock(){

        Thread thread = Thread.currentThread();
        System.out.println(Thread.currentThread().getName() + "------->swh come in");
        while (!atomicReference.compareAndSet(null,thread)){

        }

    }
    public void unLock(){
        Thread thread = Thread.currentThread();
        atomicReference.compareAndSet(thread,null);
        System.out.println(Thread.currentThread().getName()+"------->task over");
    }


    public static void main(String[] args) {

        SpinLockDemo spinLockDemo = new SpinLockDemo();

        new Thread(() -> {
            spinLockDemo.lock();;
            //暂停几秒钟线程
                try {
                    TimeUnit.SECONDS.sleep(5); } catch (InterruptedException e) { e.printStackTrace(); }
                    spinLockDemo.unLock();
        }, "A").start();

        //暂停500毫秒 线程A先于B启动
        try {
            TimeUnit.MICROSECONDS.sleep(500); } catch (InterruptedException e) { e.printStackTrace(); }
        new Thread(() -> {
            spinLockDemo.lock();;
            //暂停几秒钟线程

            spinLockDemo.unLock();
        }, "B").start();
    }
}
