package com.ruoyi.mybasic.common.domain.response;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName PurseResponse
 * @Description 钱包响应参数
 * @Author WenHao.Sao
 */
@Data
public class PurseResponse {

    /**
     * 用户编号
     */
    private String userId;

    /**
     * 钱包总收入额
     */
    private Integer walletIncome;

    /**
     * 钱包总支出额
     */
    private Integer walletOutcome;

    /**
     * 钱包总可用余额
     */
    private Integer balanceFee;

    /**
     *更新时间
     */
    private Date updateTime;






}
