package com.ruoyi.mybasic.mapper;


import com.ruoyi.mybasic.api.domain.Purse;
import com.ruoyi.mybasic.api.domain.UserMoneyLogs;
import com.ruoyi.mybasic.common.domain.request.InvitationRecordRequest;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.request.RequestInvitationRecord;
import com.ruoyi.mybasic.common.domain.response.PurseResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName InvitationMapepr
 * @Description 描述
 * @Author WenHao.Sao
 */
@Mapper
public interface InvitationMapper {

    /**
     * 邀请记录新增
     * @param requestInvitationRecord
     */
    int insertInvitationRecord(RequestInvitationRecord requestInvitationRecord);

    /**
     * 修改钱包信息
     * @param userId
     */
    int updateUserPurse(@Param("userId") Integer userId);


    /**
     * 添加交易记录
     * @param userMoneyLogs
     * @return
     */
    int insertUserMoneyLogs(UserMoneyLogs userMoneyLogs);

    /**
     * 修改钱包余额
     * @param purseResponse
     * @return
     */
    int updateUserMoney(Purse purseResponse);
}
