package com.ruoyi.mybasic.service;


import com.ruoyi.mybasic.common.domain.Archives;

/**
 * 档案持久层
 * @author Lou_Zs
 */
public interface ArchivesService {

    /**
     * 查询我的档案列表
     *
     * @return
     */
    Archives findArchivesList();

    /**
     * 添加我的档案
     */
    void insertArchivesAndPicture(Archives archives);


    /**
     * 编辑我的档案
     *
     * @param archives
     */
    void updateArchivesAndPicture(Archives archives);

    /**
     * 根据档案编号删除档案
     *
     * @param id
     */
    void deleteArchivesById(String id);
}
